viSetGetOverlays = {};

function viSetGetOverlays:loadOverlays()	
	VehicleInspector:get_hl("getDefaultBackground", {VehicleInspector.overlays, "ground"}, "viSetGetOverlays:loadOverlays");
	setOverlayUVs(VehicleInspector.overlays["ground"].overlayId, 0.0078125,0.990234375, 0.0078125,0.9921875, 0.009765625,0.990234375, 0.009765625,0.9921875);
	VehicleInspector:get_hl("getDefaultBackground", {VehicleInspector.overlays, "settingGround"}, "viSetGetOverlays:loadOverlays");
	setOverlayUVs(VehicleInspector.overlays["settingGround"].overlayId, 0.0078125,0.990234375, 0.0078125,0.9921875, 0.009765625,0.990234375, 0.009765625,0.9921875);	
	local color = VehicleInspector:get_hl("getColor", {VehicleInspector.showColor.background, true, {0/255,0/255,0/255,1.00}}, "viSetGetOverlays:loadOverlays");
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["ground"], color}, "viSetGetOverlays:loadOverlays");	
	color = VehicleInspector:get_hl("getColor", {"blackDisabled", true, {0/255,0/255,0/255,1.00}}, "viSetGetOverlays:loadOverlays");	
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["settingGround"], color}, "viSetGetOverlays:loadOverlays");
	VehicleInspector:get_hl("getDefaultBackground", {VehicleInspector.overlays, "selectVehicle"}, "viSetGetOverlays:loadOverlays");
	setOverlayUVs(VehicleInspector.overlays["selectVehicle"].overlayId, 0.0078125,0.990234375, 0.0078125,0.9921875, 0.009765625,0.990234375, 0.009765625,0.9921875);
	color = VehicleInspector:get_hl("getColor", {VehicleInspector.showColor.selectVehicle, true, {240/255,230/255,140/255,1.00}}, "viSetGetOverlays:loadOverlays");
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["selectVehicle"], color}, "viSetGetOverlays:loadOverlays");
	
	
	
	--VehicleInspector.overlays["ground"] = Overlay.new(HUD.MENU_BACKGROUND_PATH, 0, 0, 0, 0);
	--local color = VehicleInspector:get_hl("getColor", {VehicleInspector.showColor.background, true, {0/255,0/255,0/255,1.00}}, "viSetGetOverlays:loadOverlays");
	--VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["ground"], color}, "viSetGetOverlays:loadOverlays");
	--VehicleInspector.overlays["selectVehicle"] = Overlay.new(HUD.MENU_BACKGROUND_PATH, 0, 0, 0, 0);	
	--color = VehicleInspector:get_hl("getColor", {VehicleInspector.showColor.selectVehicle, true, {240/255,230/255,140/255,1.00}}, "viSetGetOverlays:loadOverlays");
	--VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["selectVehicle"], color}, "viSetGetOverlays:loadOverlays");
	local speedMeter = g_currentMission.inGameMenu.hud.speedMeter;	
	if speedMeter ~= nil then		
		local width = speedMeter.damageBarElement:getWidth();
		local w = width;		
		local height = speedMeter.damageBarElement:getHeight();
		local h = height;
		local posX, posY = speedMeter.damageBarElement:getPosition();
		VehicleInspector.attachedDamageIcon, VehicleInspector.attachedFuelIcon = speedMeter:createGaugeIconElements(g_baseHUDFilename, 0, 0);
		VehicleInspector.attachedDamageBar = speedMeter:createDamageBar(g_baseHUDFilename, 0, 0);		
		--g_currentMission.hl.setOverlay(VehicleInspector.attachedDamageBar.overlay, posX+(width*1.2), posY);
		g_currentMission.hl.setOverlay(VehicleInspector.attachedDamageBar.overlay, posX+(width*1.2), posY, width*1.1, height);				
		width = speedMeter.damageGaugeIconElement:getWidth();
		height = speedMeter.damageGaugeIconElement:getHeight();
		g_currentMission.hl.setOverlay(VehicleInspector.attachedDamageIcon.overlay, posX+(w*2.2), posY+h-(height), width, height);
		VehicleInspector.attachedDamageIcon.overlay.visible = false;
		width = speedMeter.fuelGaugeIconElement:getWidth();
		height = speedMeter.fuelGaugeIconElement:getHeight();
		g_currentMission.hl.setOverlay(VehicleInspector.attachedFuelIcon.overlay, posX+(w*2.2), posY, width, height);
		VehicleInspector.attachedFuelIcon.overlay.visible = false;
	end;
	viSetGetOverlays:loadIconOverlays();
end;

function viSetGetOverlays:loadIconOverlays()
	local iconFilePath = Utils.getFilename("scripte/mohFeatures/settings.dds", VehicleInspector.modDir);
	VehicleInspector.overlays["buttonLeft"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["buttonLeft"], g_currentMission.hl.icons["icon63"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	local color = VehicleInspector:get_hl("getColor", {"ls22", true}, "viSetGetOverlays:loadOverlays");
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["buttonLeft"], color}, "viSetGetOverlays:loadOverlays");
	VehicleInspector.overlays["buttonRight"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["buttonRight"], g_currentMission.hl.icons["icon64"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["buttonRight"], color}, "viSetGetOverlays:loadOverlays");
	
	VehicleInspector.overlays["roundGround"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["roundGround"], g_currentMission.hl.icons["icon62"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	color = g_currentMission.hl.getColor("blackDisabled", true);
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["roundGround"], color}, "viSetGetOverlays:loadOverlays");
	
	VehicleInspector.overlays["storeGround"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["storeGround"], g_currentMission.hl.icons["icon52"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
		
	VehicleInspector.overlays["speed"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["speed"], g_currentMission.hl.icons["icon61"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	color = g_currentMission.hl.getColor("whiteOff", true);
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["speed"], color}, "viSetGetOverlays:loadOverlays");
	
	VehicleInspector.overlays["repair"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["repair"], g_currentMission.hl.icons["icon60"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	color = g_currentMission.hl.getColor("yellow", true);
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["repair"], color}, "viSetGetOverlays:loadOverlays");
	
	VehicleInspector.overlays["warning1"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["warning1"], g_currentMission.hl.icons["icon59"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["warning1"], color}, "viSetGetOverlays:loadOverlays");
	
	VehicleInspector.overlays["refuel"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["refuel"], g_currentMission.hl.icons["icon58"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["refuel"], color}, "viSetGetOverlays:loadOverlays");
	
	VehicleInspector.overlays["tempomat"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["tempomat"], g_currentMission.hl.icons["icon57"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["tempomat"], color}, "viSetGetOverlays:loadOverlays");
	
	color = g_currentMission.hl.getColor("whiteOff", true);
	VehicleInspector.overlays["field"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["field"], g_currentMission.hl.icons["icon56"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["field"], color}, "viSetGetOverlays:loadOverlays");
	
	color = g_currentMission.hl.getColor("blackDisabled", true);
	VehicleInspector.overlays["backGround"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["backGround"], g_currentMission.hl.icons["icon55"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["backGround"], color}, "viSetGetOverlays:loadOverlays");
	
	VehicleInspector.overlays["middleGround"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["middleGround"], g_currentMission.hl.icons["icon54"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["middleGround"], color}, "viSetGetOverlays:loadOverlays");
	
	VehicleInspector.overlays["frontGround"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["frontGround"], g_currentMission.hl.icons["icon53"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["frontGround"], color}, "viSetGetOverlays:loadOverlays");
	
	color = g_currentMission.hl.getColor("green", true);
	VehicleInspector.overlays["attached"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["attached"], g_currentMission.hl.icons["icon51"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["attached"], color}, "viSetGetOverlays:loadOverlays");
	
	color = g_currentMission.hl.getColor("ls22", true);
	VehicleInspector.overlays["uMarker"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["uMarker"], g_currentMission.hl.icons["icon50"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["uMarker"], color}, "viSetGetOverlays:loadOverlays");
	
	color = g_currentMission.hl.getColor("green", true);
	VehicleInspector.overlays["view"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["view"], g_currentMission.hl.icons["icon49"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["view"], color}, "viSetGetOverlays:loadOverlays");	
	VehicleInspector.overlays["view"].view = true;
	
	color = g_currentMission.hl.getColor("yellow", true);
	VehicleInspector.overlays["sort1"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["sort1"], g_currentMission.hl.icons["icon48"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["view"], color}, "viSetGetOverlays:loadOverlays");	
	VehicleInspector.overlays["sort1"].view = true;
	
	VehicleInspector.overlays["leasing"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["leasing"], g_currentMission.hl.icons["icon47"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	
	VehicleInspector.overlays["forceView"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["forceView"], g_currentMission.hl.icons["icon46"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector.overlays["forceView"].view = true;
	
	color = g_currentMission.hl.getColor("blackDisabled", true);
	VehicleInspector.overlays["fillLevelBarH"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["fillLevelBarH"], g_currentMission.hl.icons["icon45"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["fillLevelBarH"], color}, "viSetGetOverlays:loadOverlays");
	VehicleInspector.overlays["fillLevelBarColorH"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["fillLevelBarColorH"], g_currentMission.hl.icons["icon45"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["fillLevelBarColorH"], color}, "viSetGetOverlays:loadOverlays");
		
	VehicleInspector.overlays["fillLevelBarV"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["fillLevelBarV"], g_currentMission.hl.icons["icon44"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["fillLevelBarV"], color}, "viSetGetOverlays:loadOverlays");
	VehicleInspector.overlays["fillLevelBarColorV"] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.overlays["fillLevelBarColorV"], g_currentMission.hl.icons["icon44"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.overlays["fillLevelBarColorV"], color}, "viSetGetOverlays:loadOverlays");
	
	local lenO = #VehicleInspector.categoryOverlays+1;
	VehicleInspector.categoryOverlays[lenO] = {};
	VehicleInspector.categoryOverlays[lenO] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.categoryOverlays[lenO], g_currentMission.hl.icons["icon2"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector.categoryOverlays[lenO].category = "tractor";VehicleInspector.categoryOverlays[lenO].view = true;
	
	lenO = #VehicleInspector.categoryOverlays+1;
	VehicleInspector.categoryOverlays[lenO] = {};
	VehicleInspector.categoryOverlays[lenO] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.categoryOverlays[lenO], g_currentMission.hl.icons["icon3"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector.categoryOverlays[lenO].category = "harvester";VehicleInspector.categoryOverlays[lenO].view = true;
	
	lenO = #VehicleInspector.categoryOverlays+1;
	VehicleInspector.categoryOverlays[lenO] = {};
	VehicleInspector.categoryOverlays[lenO] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.categoryOverlays[lenO], g_currentMission.hl.icons["icon4"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector.categoryOverlays[lenO].category = "truck";VehicleInspector.categoryOverlays[lenO].view = true;
		
	lenO = #VehicleInspector.categoryOverlays+1;
	VehicleInspector.categoryOverlays[lenO] = {};
	VehicleInspector.categoryOverlays[lenO] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.categoryOverlays[lenO], g_currentMission.hl.icons["icon6"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector.categoryOverlays[lenO].category = "teleloader";VehicleInspector.categoryOverlays[lenO].view = true;
	
	lenO = #VehicleInspector.categoryOverlays+1;
	VehicleInspector.categoryOverlays[lenO] = {};
	VehicleInspector.categoryOverlays[lenO] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.categoryOverlays[lenO], g_currentMission.hl.icons["icon7"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector.categoryOverlays[lenO].category = "other";VehicleInspector.categoryOverlays[lenO].view = true;
	
	lenO = #VehicleInspector.categoryOverlays+1;
	VehicleInspector.categoryOverlays[lenO] = {};
	VehicleInspector.categoryOverlays[lenO] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.categoryOverlays[lenO], g_currentMission.hl.icons["icon5"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector.categoryOverlays[lenO].category = "car";VehicleInspector.categoryOverlays[lenO].view = true;
	
	lenO = #VehicleInspector.categoryOverlays+1;
	VehicleInspector.categoryOverlays[lenO] = {};
	VehicleInspector.categoryOverlays[lenO] = Overlay.new(iconFilePath, 0, 0, 0, 0);
	g_currentMission.hl.setOverlayUVsPx(VehicleInspector.categoryOverlays[lenO], g_currentMission.hl.icons["icon8"], g_currentMission.hl.iconsSize["m512x512"][1], g_currentMission.hl.iconsSize["m512x512"][2]);
	VehicleInspector.categoryOverlays[lenO].category = "train";VehicleInspector.categoryOverlays[lenO].view = true;
	
end;

function viSetGetOverlays:loadIconFillTypes()
	if g_currentMission.fillTypeManager.fillTypes ~= nil then		
		for index, desc in pairs(g_currentMission.fillTypeManager.fillTypes) do		
			if desc ~= nil and desc.index ~= nil and desc.hudOverlayFilename ~= nil and desc.hudOverlayFilename ~= "" then
				VehicleInspector.fillTypeOverlays[desc.index] = Overlay.new(desc.hudOverlayFilename, 0, 0, 0, 0);
			end;
		end;
	end;
end;

function viSetGetOverlays:loadStoreItem(vehicle)
	local imageFilename = vehicle:getImageFilename();
	if imageFilename ~= nil then
		vehicleName = tostring(vehicle.getName(vehicle));
		if VehicleInspector.storeOverlays[vehicleName] == nil then
			VehicleInspector.storeOverlays[vehicleName] = Overlay.new(imageFilename, 0, 0, 0, 0);
			VehicleInspector:get_hl("setBackgroundColor", {VehicleInspector.storeOverlays[vehicleName], {1,1,1,1}}, "viSetGetOverlays:loadStoreItem()");
		end;
	end;
end;